{%  extends('/atlas/atlasWT-default.twig') %}

{%  block description %}



    <u>Caractéristiques du lit</u></br>

    {%  set largeur_ponderee = 0 %}
    {%  set largeur_base_ponderee = 0 %}
    {%  set profondeur_ponderee = 0 %}                   
    {%  set largeur_theorique_ponderee = 0 %}  
    {%  set profondeur_theorique_ponderee = 0 %}  
    {%  set surface_plein_bord_ponderee = 0 %}  
    {%  set surface_plein_bord_theorique = 0 %}  
    {%  set vitesse_ponderee = 0 %}
    {%  set pente_ponderee = 0 %}
    {%  set substrat = {} %}
    {% for O in tabGO %} 


        {%  set largeur_ponderee = largeur_ponderee + (O.dataIndex['larg_p_b'].value * O.infosGeom.perimetre) %}
        {%  set largeur_base_ponderee = largeur_base_ponderee + (O.dataIndex['larg_base'].value * O.infosGeom.perimetre) %}
        {%  set profondeur_ponderee = profondeur_ponderee + (O.dataIndex['haut_tot'].value * O.infosGeom.perimetre) %}
        {%  set index = O.dataIndex['granul_dom'].value~'/'~O.dataIndex['granul_acc'].value  %}
        {%  set substrat = substrat|merge({ (index~' ') : geom.longueur }) %}         

        {%  set ratio = 1 %}


        {%  set largeur_theorique_ponderee = largeur_theorique_ponderee+ (O.dataIndex['lpb_theo'].value * ratio * O.infosGeom.perimetre) %}
        {%  set profondeur_theorique_ponderee = profondeur_theorique_ponderee + (O.dataIndex['prof_theo'].value * ratio * O.infosGeom.perimetre) %}

        {%  set surface_plein_bord_ponderee =  surface_plein_bord_ponderee + (O.dataIndex['surf_p_b'].value * O.infosGeom.perimetre) %}
        {%  set surface_plein_bord_theorique =  surface_plein_bord_theorique + (O.dataIndex['surfm_theo'].value  * ratio * O.infosGeom.perimetre) %}
        <!--
        <p>Objet {{ O.id }} :<br>
            Largeur plein bord : {{ O.dataIndex['larg_p_b'].value }}<br>
            Largeur plein bord théorique au tronçon : {{ O.dataIndex['lpb_theo'].value }}<br>
            Prodondeur: {{ O.dataIndex['haut_tot'].value }}<br>
            Prodondeur théorique au tronçon : {{ O.dataIndex['prof_theo'].value }}<br>
            Taille BV : {{ O.dataIndex['surface_bv'].value }}<br>
            Taille BV Tronçon : {{ O.dataIndex['surface_bv'].value }}<br>
            Ratio tailles BV : {{ ratio  }}</p>
        -->

        {# 
        Vitesse 
        V = Ks x Rh^(2/3) x I^(1/2)
        Ks : coeff manning = 25
        Rh : Rayon hydraulique : Surface mouillé / Périmètre mouillé
        I pente en m/m 
        #}

        {%  set pente_ponderee = pente_ponderee + O.dataIndex['pente'].value * O.infosGeom.perimetre   %}
        {%  set vitesse_ponderee =  vitesse_ponderee + (O.dataIndex['rugos_note'].value * O.dataIndex['rayon_hyd'].value**(2/3) * O.dataIndex['pente'].value **(1/2)) * O.infosGeom.perimetre %}

    {%  endfor %} 







    <div style="float:left">
        <div style="width:80px;text-align:center">{{ (largeur_ponderee/geom.longueur)|round(2) }}&nbsp;m</div>
        <svg height="50" width="90" style="float:left">
        <line x1="0" y1="0" x2="80" y2="00" style="stroke:rgb(0,0,0);stroke-width:1;stroke-dasharray:2,2" />
        <line x1="0" y1="0" x2="20" y2="40" style="stroke:rgb(0,0,0);stroke-width:2" />
        <line x1="20" y1="40" x2="60" y2="40" style="stroke:rgb(0,0,0);stroke-width:2" />
        <line x1="60" y1="40" x2="80" y2="0" style="stroke:rgb(0,0,0);stroke-width:2" />
        <line x1="80" y1="0" x2="80" y2="40" style="stroke:rgb(0,0,0);stroke-width:1;stroke-dasharray:2,2" />
        Sorry, your browser does not support inline SVG.
        </svg>
        <div style="height:40px;margin-top:10px;float:left">{{ (profondeur_ponderee/geom.longueur)|round(2) }}&nbsp;m</div>
    </div>

    <!--
        Largeur moyenne : {{ (largeur_ponderee/geom.longueur)|round(2) }}&nbsp;m<br>
        Profondeur moyenne : {{ (profondeur_ponderee/geom.longueur)|round(2) }}&nbsp;m<br> -->
    <div style='float:left;margin-left:20px;max-width:320px'>
        Substrat actuel : {{ substrat|keys|join(', ') }}<br>

        {%  if geom.type_geom == 'ST_Polygon' %}
            Surface concernée : {{ (geom.surface/10000)|round()  }}&nbsp;hectares<br>
        {%  endif %}
        {%  if geom.type_geom == 'ST_Linestring' %}
            Linéaires concernés : {{ geom.longueur|round(0)  }}&nbsp;mètres linéaires<br>
        {%  endif %}
        Surface plein bord moyenne : {{ (surface_plein_bord_ponderee/geom.longueur)|round(1) }} m²<br>
    </div>


    <div style="clear:both"></div>

    <u>Caractéristiques de l'intervention</u></br>



    {%  if  largeur_theorique_ponderee > largeur_ponderee and  profondeur_theorique_ponderee  > profondeur_ponderee  %}
        <div style="float:left;margin-top:10px;">
            <div style="width:80px;text-align:center">{{ (largeur_theorique_ponderee/geom.longueur)|round(2) }}&nbsp;m</div>
            <svg height="50" width="90" style="float:left">
            <line x1="0" y1="0" x2="80" y2="00" style="stroke:rgb(255,0,0);stroke-width:1;stroke-dasharray:2,2" />
            <line x1="0" y1="0" x2="20" y2="40" style="stroke:rgb(255,0,0);stroke-width:2" />
            <line x1="20" y1="40" x2="60" y2="40" style="stroke:rgb(255,0,0);stroke-width:2" />
            <line x1="60" y1="40" x2="80" y2="0" style="stroke:rgb(255,0,0);stroke-width:2" />
            <line x1="80" y1="0" x2="80" y2="40" style="stroke:rgb(255,0,0);stroke-width:1;stroke-dasharray:2,2" />
            Sorry, your browser does not support inline SVG.
            </svg>
            <div style="height:40px;margin-top:10px;float:left">{{ (profondeur_theorique_ponderee/geom.longueur)|round(2) }}&nbsp;m</div>
        </div>

    {% else %}
        <div style="float:left;margin-top:10px;">
            Gabarit préconisé : 
            <div style="width:80px;text-align:center">{{ (largeur_theorique_ponderee/geom.longueur)|round(1) }}&nbsp;m </div>
            <svg height="100" width="90" style="float:left">
            <line x1="15" y1="0" x2="70" y2="00" style="stroke:rgb(255,0,0);stroke-width:1;stroke-dasharray:2,2" />
            <line x1="0" y1="0" x2="20" y2="40" style="stroke:rgb(150,150,150);stroke-width:1" />
            <line x1="20" y1="40" x2="60" y2="40" style="stroke:rgb(150,150,150);stroke-width:1" />
            <line x1="60" y1="40" x2="80" y2="0" style="stroke:rgb(150,150,150);stroke-width:1" />

            <line x1="10" y1="0" x2="25" y2="30" style="fill:black;stroke:rgb(255,0,0);stroke-width:2" />
            <line x1="25" y1="30" x2="55" y2="30" style="stroke:rgb(255,0,0);stroke-width:2" />
            <line x1="55" y1="30" x2="70" y2="0" style="stroke:rgb(255,0,0);stroke-width:2" />
            <line x1="80" y1="0" x2="80" y2="30" style="stroke:rgb(255,0,0);stroke-width:1;stroke-dasharray:2,2" />
            Sorry, your browser does not support inline SVG.
            </svg>
            <div style="height:40px;margin-top:10px;float:left"> {{ (profondeur_theorique_ponderee/geom.longueur)|round(1) }}&nbsp;m</div>
        </div>

    {%  endif %}
    <div style="float:left;margin-left:20px;margin-top:10px;max-width:320px">


        Surface plein bord théorique : {{ (surface_plein_bord_theorique/geom.longueur)|round(1) }} m²<br>
        {%  if profondeur_theorique_ponderee <=  profondeur_ponderee  %}
            Volume théorique : {{ (surface_plein_bord_ponderee - surface_plein_bord_theorique)|round(0) }} m<sup>3</sup> | {{ ((surface_plein_bord_ponderee - surface_plein_bord_theorique)/geom.longueur)|round(1) }} m<sup>3</sup>/ml<br>
            Epaisseur de la recharge: {{ ((surface_plein_bord_ponderee - surface_plein_bord_theorique)/geom.longueur/((largeur_ponderee+largeur_base_ponderee)/2/geom.longueur))|round(2)*100 }} cm<br>

        {% endif %}
        Pente moyenne : {{ (pente_ponderee/geom.longueur)|round(3) }} m/m<br>
        {%  set vitesse = vitesse_ponderee / geom.longueur %}
        Vitesse : {{ vitesse|round(1) }} m/s<br>
        {# diametre enrochements
        =0,7*($J$4*C4)^2/(1,6*2*9,81)*1000
        #}

        {% set diam_min = 0.7 * vitesse**2 / (1.6*2*9.81) * 1000  %}
        {% set diam_max = 0.7 * (vitesse * 1.4)**2 / (1.6*2*9.81) * 1000  %}
        Granulométrie recommandée : entre {{ diam_min|round(0) }} et {{ diam_max|round(0) }} mm<br>

        Coût : 
        {%  set cout = 0  %}
        {% for T in tabT %}
            {%  set cout = cout + T.total_cost_estimated_user %}                     
        {%  endfor %}
        {{ (cout)|round(0) }}&nbsp;€&nbsp;HT | {{ (cout*TVA)|round(0) }}&nbsp;€&nbsp;TTC<br>
    </div>
    {#
    Largeur :  {{ (largeur_theorique_ponderee/geom.longueur)|round(1) }}&nbsp;m 
            - Profondeur  {{ (profondeur_theorique_ponderee/geom.longueur)|round(1) }}&nbsp;m #}



{%  endblock %}